Bug 832634 - e1000e - no data starting from kernel 3.4.0
e1000e - no data starting from kernel 3.4.0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 01:50 EDT by Jan ONDREJ
Modified: 2012-07-06 17:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-06 17:47:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2012-06-16 01:50:58 EDT
Description of problem:
After update to kernel 3.4.0, my network stopped working. DHCP is unable to get IP addres, setting to static IP address does not help too. No error message, just networking is not functional.

Version-Release number of selected component (if applicable):
kernel-PAE-3.4.0-1.fc17.i686
kernel-PAE-3.4.2-4.fc17.i686

Last working kernel:
kernel-PAE-3.3.7-1.fc17.i686

How reproducible:
always

Steps to Reproduce:
1. you need e1000e network card, may be it's more hardware specific
  
Actual results:
unable to communicate on network

Expected results:
working network

Additional info:
lspci:
00:19.0 Ethernet controller: Intel Corporation 82566DC-2 Gigabit Network Connection (rev 02)

kernel logs:

Jun 16 07:18:57 home kernel: [   15.480404] e1000e: Intel(R) PRO/1000 Network Driver - 1.9.5-k
Jun 16 07:18:57 home kernel: [   15.480407] e1000e: Copyright(c) 1999 - 2012 Intel Corporation.
Jun 16 07:18:57 home kernel: [   15.480543] e1000e 0000:00:19.0: (unregistered net_device): Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
Jun 16 07:18:57 home kernel: [   15.778099] e1000e 0000:00:19.0: eth0: (PCI Express:2.5GT/s:Width x1) 00:1c:c0:2a:87:cc
Jun 16 07:18:57 home kernel: [   15.778102] e1000e 0000:00:19.0: eth0: Intel(R) PRO/1000 Network Connection
Jun 16 07:18:57 home kernel: [   15.778125] e1000e 0000:00:19.0: eth0: MAC: 7, PHY: 6, PBA No: FFFFFF-0FF
Comment 1 Scott Fontan 2012-06-19 12:55:47 EDT
I am having the same issue.

Switching back to kernel-3.3.7-1.fc17.x86_64 works, but using kernel-3.4.0-1.fc17.x86_64 or kernel-3.4.2-4.fc17.x86_64 fails.

Ethernet controller: Intel Corporation 82562V-2 10/100 Netwrok Connection (rev 02)
Comment 2 Jan ONDREJ 2012-06-20 23:31:46 EDT
kernel-PAE-3.4.3-1.fc17.i686 - still same problem.

And after booting of kernel-3.4, my network card is completelly broken. Rebooting my system and starting PXE boot fails too. After boot of kernel-3.3.7 my PXE booting works again. Something is sent to my network card, which makes it non funtional. :-(
Comment 3 Jan ONDREJ 2012-07-06 17:47:13 EDT
kernel-3.4.4-3.fc17.i686.PAE, my network works again. Thanks and closing.

Note You need to log in before you can comment on or make changes to this bug.